#include<bits/stdc++.h>
using namespace std;
const long long maxn = 500000;
long long n,k;
long long a[maxn];
long long par_sum[maxn];
long long dp[maxn];
void read()
{
    cin >> n >> k;
    for( long long i = 1; i <= n; i ++ )
    {
        cin >> a[i];
        par_sum[i] = par_sum[i-1] + a[i];
    }
}
int main()
{
    read();
    dp[k] = k;
    double ans = double( par_sum[k] ) / double(k);
    for( long long i = k + 1; i <= n; i ++ )
    {
        double t = double( par_sum[i] - par_sum[i-k] ) / double(k);
        //cout << i - k << " " << i << " " << par_sum[i] - par_sum[i-k] <<  endl;
        //prlong longf("%f\n",t);
        double prev = double( par_sum[i] - par_sum[i-1-dp[i-1]] ) / double( dp[i-1] + 1);
        //cout << i - 1 - dp[i-1] << " " << i << " " << par_sum[i] - par_sum[i-1-dp[i-1]] << endl;
        //prlong longf("%f\n",prev);
        if( t > prev ) dp[i] = k;
        else dp[i] = dp[i-1] + 1;
        if( t > ans ) ans = t;
        if( prev > ans ) ans = prev;
    }
    printf("%f\n",ans);
    return 0;
}
